<html>
<head>
<title>Gæstebog</title>
</head>
<body>
<h3>Gæstebog</h3>
<br>
<form action='?action=skrivbesked' method='post'>
<?php
if($_REQUEST[action] == "skrivbesked"){
if(empty($_post[navn])){
echo "<font color='red'>Du skal skrive dit navn</font>";
}else{
if(empty($_post[tekst])){
echo "<font color='red'>Du skal skrive din besked</font>";
}else{
if(strlen($_POST[tekst]) < "10") {
echo "<font color='red'>Det var en kort besked</font>";
}else{
if(strlen($_POST[tekst]) > "500") {
echo "<font color='red'>Det var en lang besked</font>";
}else{
if(is_numeric($_POST[navn])) {
echo "<font color='red'>Kan man have tal i et navn ?</font>";
}else{

if($_POST[kode] == "ko") {
$tekst = htmlspecialchars($_POST[tekst]);
$navn = htmlspecialchars($_POST[navn]);
$mail = htmlspecialchars($_POST[mail]);
$dato = date('d-m-Y');
$ip = $_SERVER[REMOTE_ADDR];
if(!get_magic_quotes_gpc()) { 
$navn = addslashes($navn);
$mail = addslashes($mail);
$tekst = addslashes($tekst);
}
include("config.php");

mysql_query("INSERT INTO Christianb_gb (navn, mail, tekst, ip, dato) VALUES ('$navn', '$mail', '$tekst', '$ip', '$dato')") or die(mysql_error());
}else{
echo "<font color='red'>Koden var ikke rigtig</font>";
}
}
}
}
}
}
}
?>
<br>Dit navn:*
<br><input type='text' name='navn' maxlength='25'>
<br>Mail<small>Bliver ikke vist</small>:
<br><input type='text' name='mail' maxlength='50'>
<br>Besked:*
<br><textarea rows='5' name='tekst' cols='40'></textarea>
<br>Skriv navnet på et dyr, der siger muh, spiser græs, og er på to bogstaver:*
<br><input type='text' name='kode' maxlength='25' size='3'><br>
<br><input type='submit' value='Skriv besked'></form>
<br>
<h3>Læs i gæstebogen</h3>
<br>
<?php
include("config.php");

$hent = mysql_query("SELECT * FROM Christianb_gb ORDER BY id DESC") or die(mysql_error());
if(mysql_num_rows($hent)) { 
while($vis = mysql_fetch_array($hent)) {
?>
<table border="0" width="100%">
<tr>
<td>
<table border="0" width="100%">
<tr>
<td><b><?php echo $vis[navn]; ?></b> skrev d. <i><? echo $vis[dato]; ?></i>:</td>
</tr>
<tr>
<td><?php echo nl2br($vis[tekst]); ?></td>
</tr>
</table>
</td>
</tr>
</table>
<hr style="border: 1px dotted #000000" color="#000000">
<?
}
} else {
echo("<font color='red'><i>Der blev ikke fundet nogle beskeder</i></font>");
}
?>

</body>
</html>